@import "util.mixins.scss", "setting.colors.scss", "setting.fonts.scss";

[class^="fa-"],
[class*=" fa-"],
[class^="fa-"]:before,
[class*=" fa-"]:before,
[class^="fab-"],
[class*=" fab-"],
[class^="fab-"]:before,
[class*=" fab-"]:before {
  font-family: "FontAwesome";
  font-style: inherit;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  display: inline-block;
  text-rendering: auto;
  speak: none;
  font-weight: normal;
}

.product-grid .product__action .button,
.product-grid .product__action .comment-respond .form-submit input,
.comment-respond .form-submit .product-grid .product__action input,
.product-grid
  .product__action
  .widget.widget_product_search
  input[type="submit"],
.widget.widget_product_search
  .product-grid
  .product__action
  input[type="submit"],
.added_to_cart.wc-forward,
.product-grid .product__price,
.product-overview .product-action .price,
.book-images .book__action button [class*="ico"],
.book-images .book__action .see-inside [class*="ico"],
.product__detail-nav li.active a,
.product__detail-nav li:hover a,
.menu-main-wrapper .menu-item:not(.mega-menu) .sub-menu li:hover > a,
.widget.widget_shopping_cart .quantity,
.widget.widget_shopping_cart .total .amount {
  color: $accent-color-1;
}

.hdr-widget--menu-cart .menu-cart-trigger .cart-count,
.button:hover,
.star-rating span:before,
.star-rating span:before,
.single-post .post__meta a,
.product-layout-view a:hover,
.product-layout-view a.active,
.hdr-widget--product-search .fa,
.hdr-widget--menu-cart .menu-cart-trigger,
.post-grid .post__meta span a:hover,
.post-masonry .post__meta span a:hover,
.widget.widget_shopping_cart .quantity,
.widget.widget_shopping_cart .total .amount {
  color: $accent-color-2;
}

.button,
.comment-respond .form-submit input,
.widget.widget_product_search input[type="submit"],
input[type="submit"],
input[type="reset"] {
  border-color: $accent-color-2;
}

.button,
.comment-respond .form-submit input,
input[type="submit"].dokan-btn-theme,
a.dokan-btn-theme,
.dokan-btn-theme,
input[type="submit"],
input[type="reset"] {
  border: 3px solid $accent-color-2;
  padding: 10px 20px;
  border-radius: 50px;
  color: inherit;
  font-size: inherit;
  display: inline-block;
  background-color: transparent;
  transition: 0.3s ease;
  line-height: 1.5;
  text-decoration: none;
}

input:not([type="checkbox"]):not([type="radio"]),
select,
textarea {
  padding: 8px 20px;
  border: 3px solid $border-color;
  border-radius: 50px;
  font-size: inherit;
  font-family: inherit;
  background-color: transparent;
  line-height: normal;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  display: inline-block;
}

h1,
h2,
h3,
h4,
h5,
h6,
.single-post .post__title,
.widget-title {
  font-family: $font-secondary, sans-serif;
  font-weight: 400;
  letter-spacing: 0;
  color: #2b2b2b;
  line-height: normal;
}

.page-header .page-title {
  font-size: 64px;
  font-size: 4em;
  line-height: 1;
  margin: 0 0 20px;
  font-family: $font-secondary;
  color: white;
}

.tagcloud a,
.section-header:after,
.product-grid .product .onsale {
  background-color: $accent-color-2;
}

.section-header {
  .section-header--left {
    &::after {
      left: 0;
      margin: 0 auto;
    }
  }

  &::after {
    content: " ";
    width: 30px;
    height: 3px;
    background-color: #cd40e6;
    position: absolute;
    left: 0;
    bottom: 0;
  }

  &--left {
    text-align: left;

    &:after {
      left: 0;
      margin: 0 auto;
    }
  }

  .section-subtitle {
    font-size: 15px;
    font-size: 0.9375em;
  }
}

.button:hover,
.product__detail-nav li.active a,
.product__detail-nav li:hover a,
.user-auth-box .user-auth-box-content .tokoo-popup__close,
.wc_payment_methods.payment_methods .wc_payment_method label:before,
input[type="submit"].dokan-btn-theme,
.dokan-btn-theme,
input[type="submit"],
input[type="reset"] {
  border-color: $accent-color-1;
}

.kc-elm.kc-css-432932 .kc-css-460138 {
  padding-left: 15px;
  padding-right: 15px;
}

.section-header {
  position: relative;
  padding-bottom: 20px;
  margin: 30px 0;

  .section-title {
    margin: 0;
  }
}

.screen-reader-text {
  position: absolute;
  width: 1px;
  height: 1px;
  visibility: hidden;
  overflow: hidden;
}

.site-content {
  @include clearfix;
  overflow-x: hidden;
}

.main-content {
  min-height: 50vh;
  margin-bottom: 50px;
  @include clearfix;
}

.wishlist_table .add_to_cart.button,
.yith-wcwl-add-button a.add_to_wishlist,
.yith-wcwl-popup-button a.add_to_wishlist,
.wishlist_table a.ask-an-estimate-button,
.wishlist-title a.show-title-form,
.hidden-title-form a.hide-title-form,
.woocommerce .yith-wcwl-wishlist-new button,
.wishlist_manage_table a.create-new-wishlist,
.wishlist_manage_table button.submit-wishlist-changes,
.yith-wcwl-wishlist-search-form button.wishlist-search-button {
  margin: 0px;
  box-shadow: none;
  text-shadow: none;
  border-radius: 3px;
}

a.add_to_wishlist {
  cursor: pointer;
}

.yith-wcwl-add-button > a i,
.wishlist_table .add_to_cart.button i,
.wishlist_table .ask-an-estimate-button i,
.wishlist-title a.show-title-form i,
.hidden-title-form a.hide-title-form i,
.hidden-title-form button i,
.yith-wcwl-wishlist-new button i,
.wishlist_manage_table tfoot button.submit-wishlist-changes i,
.wishlist_manage_table tfoot a.create-new-wishlist i,
.yith-wcwl-wishlist-search-form button.wishlist-search-button i {
  margin-right: 10px;
}

.hdr-widget--product-search .product-search-input input {
  width: 100%;
  border: none;
  border-radius: 0;
  padding-left: 0;
  padding-right: 40px;
  line-height: inherit;
  font-size: inherit;
}

.widget {
  padding: 0 10px;
  margin-bottom: 30px;
}

.widget ul,
.widget ol {
  margin: 0;
  padding: 0;
  list-style: none;
}

.widget ul li:not(:last-child),
.widget ol li:not(:last-child) {
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.widget ul a,
.widget ol a {
  color: inherit;
  text-decoration: none;
}

.button .fa,
.button [class*="icon"] {
  vertical-align: middle;
  margin-right: 5px;
  line-height: 1;
}

.button {
  cursor: pointer;
}

.user-icon-image {
  width: 35px;
  height: 35px;
}

.menu-main-wrapper.right {
  right: 0;
  left: unset;

  &::after {
    right: 11px;
    left: unset;
  }
}

.button-wrap {
  background-color: unset;
  border: unset;
}

.page-numbers > li {
  cursor: pointer;
}

.shop_attributes {
  th {
    padding: 18px 0;
  }
}

.kc-none-product {
  padding-left: 15px;
  padding-right: 15px;
}

.hidden {
  display: none !important;
}

.page-header.page-header--center {
  .container {
    height: 100%;
    vertical-align: middle;
  }
}

.star-rating {
  display: inline-block;
  overflow: hidden;
  position: relative;
  height: 1em;
  line-height: 1;
  font-size: 1em;
  width: 5.4em;
  font-family: themify;

  i {
    color: $accent-color-2;
  }
}

@media (max-width: 600px) {
  .page-header .page-title {
    font-size: 3em;
  }
}
